• Arun Nukula

A newer version of the product is already installed on this machine

After installing vRA 7.5 HF5, it is not possible to install any additional IAAS components - e.g. proxy agent / DEM. Attempt to launch the installer fails: Error: "A newer version of the product is already installed on this machine".


This is due to updated proxy agent launcher to version 7.5.0.16144 in HF5. "C:\Program Files (x86)\VMware\vCAC\Agents\<agent name>\VRMAgent.exe"

Since it is only the launcher - the "add remove programs" is not updated with this info.


To workaround this problem

  1. Take a snapshot of IAAS machine

  2. Take a backup of file "C:\Program Files (x86)\VMware\vCAC\Agents\<agent name>\VRMAgent.exe"

  3. From VRA Appliance master node - download file:

/usr/lib/vcac/patches/repo/contents/vRA-patch/f759789753d68625f0136e9bfe159b19c4607b4cebf06566c4cf6c43fa5b4b5b/patch-vRA-7.5.9501892.12933355-HF5-Reverse/vcac/components/iaas.net/build/bin/Release/legacy/VRMAgent.exe

  1. Stop "VMware vCloud Automation Center Agent - <agent name>" service in IAAS

  2. Replace the VRMAgent.exe file

  3. Install a new vSphere Agent

  4. Replace the VRMAgent.exe with the backup file taken in step 2

  5. Start the service

  6. Now attempt to install DEM/Proxy agent it should work as expected



0 views

Subscribe Now

  • Twitter
  • Facebook Social Icon

Copyright © 2019 nukescloud